import rhinoscriptsyntax as rhino
import math

def draw_parametric_surface(function, param_range_u, param_range_v, num_points_u = 32, num_points_v = 32):
  points = []
  for i in range(num_points_u):
    u = param_range_u[0] + (param_range_u[1] - param_range_u[0]) * float(i)/float(num_points_u - 1)
    for j in range(num_points_v):
      v = param_range_v[0] + (param_range_v[1] - param_range_v[0]) * float(j)/float(num_points_v - 1)
      points.append( function(u,v) )
  rhino.AddSrfPtGrid((num_points_u, num_points_v), points)

def hyp_parab(u,v):
  return [10*u, 10*v, 10*(u*u - v*v)]

draw_parametric_surface(hyp_parab, (-1,1), (-1,1))